org.apache.ode.bpel.dd.impl

## Class TScheduleImpl

- java.lang.Object
- - org.apache.xmlbeans.impl.values.XmlObjectBase
  - - org.apache.xmlbeans.impl.values.XmlComplexContentImpl
    - - org.apache.ode.bpel.dd.impl.TScheduleImpl

- All Implemented Interfaces:
    java.io.Serializable, TSchedule, org.apache.xmlbeans.impl.values.TypeStoreUser, org.apache.xmlbeans.SimpleValue, org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

      public class TScheduleImpl
      extends org.apache.xmlbeans.impl.values.XmlComplexContentImpl
      implements TSchedule

  An XML tSchedule(@http://www.apache.org/ode/schemas/dd/2007/03). This is a complex type.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.ode.bpel.dd.TSchedule

      `TSchedule.Factory`

  - ### Field Summary

    - ### Fields inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_voorVc, KIND_SETTERHELPER_ARRAYITEM, KIND_SETTERHELPER_SINGLETON, MAJOR_VERSION_NUMBER, MINOR_VERSION_NUMBER`

    - ### Fields inherited from interface org.apache.ode.bpel.dd.TSchedule

      `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TScheduleImpl(org.apache.xmlbeans.SchemaType sType)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TCleanup` | `addNewCleanup()` Appends and returns a new empty value (as xml) as the last "cleanup" element
    `TCleanup[]` | `getCleanupArray()` Deprecated.
    `TCleanup` | `getCleanupArray(int i)` Gets ith "cleanup" element
    `java.util.List<TCleanup>` | `getCleanupList()` Gets a List of "cleanup" elements
    `java.lang.String` | `getWhen()` Gets the "when" attribute
    `TCleanup` | `insertNewCleanup(int i)` Inserts and returns a new empty value (as xml) as the ith "cleanup" element
    `void` | `removeCleanup(int i)` Removes the ith "cleanup" element
    `void` | `setCleanupArray(int i, TCleanup cleanup)` Sets ith "cleanup" element
    `void` | `setCleanupArray(TCleanup[] cleanupArray)` Sets array of all "cleanup" element WARNING: This method is not atomicaly synchronized.
    `void` | `setWhen(java.lang.String when)` Sets the "when" attribute
    `int` | `sizeOfCleanupArray()` Returns number of "cleanup" element
    `org.apache.xmlbeans.XmlString` | `xgetWhen()` Gets (as xml) the "when" attribute
    `void` | `xsetWhen(org.apache.xmlbeans.XmlString when)` Sets (as xml) the "when" attribute

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlComplexContentImpl

      `arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, compute_text, equal_to, get_default_attribute_text, get_default_element_text, get_elementflags, is_child_element_order_sensitive, new_visitor, schemaType, set_nil, set_String, set_text, unionArraySetterHelper, unionArraySetterHelper, update_from_complex_content, value_hash_code`

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_copy, _copy, _isComplexContent, _isComplexType, _set, _validateOnSet, attach_store, bigDecimalValue, bigIntegerValue, booleanValue, build_nil, build_text, byteArrayValue, byteValue, calendarValue, changeType, check_dated, check_orphaned, compare_to, compareTo, compareValue, copy, copy, create_attribute_user, create_element_user, dateValue, disconnect_store, documentProperties, doubleValue, dump, elementFlags, enumValue, equals, execQuery, execQuery, floatValue, gDateValue, gDurationValue, generatedSetterHelperImpl, get_attribute_field, get_attribute_type, get_attributeflags, get_default_attribute_value, get_element_ending_delimiters, get_element_type, get_schema_type, get_store, get_wscanon_rule, get_wscanon_text, getBigDecimalValue, getBigIntegerValue, getBooleanValue, getByteArrayValue, getByteValue, getCalendarValue, getDateValue, getDomNode, getDoubleValue, getEnumValue, getFloatValue, getGDateValue, getGDurationValue, getIntValue, getListValue, getLongValue, getObjectValue, getQNameValue, getShortValue, getStringValue, getXmlLocale, has_store, hashCode, init_flags, initComplexType, instanceType, intValue, invalidate_element_order, invalidate_nilvalue, invalidate_value, is_defaultable_ws, is_orphaned, isDefault, isDefaultable, isFixed, isImmutable, isInstanceOf, isNil, isNillable, java_value, listValue, longValue, monitor, newCursor, newCursorForce, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, objectSet, objectValue, qNameValue, save, save, save, save, save, save, save, save, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set_b64, set_BigDecimal, set_BigInteger, set_boolean, set_byte, set_ByteArray, set_Calendar, set_char, set_ComplexXml, set_Date, set_double, set_enum, set_float, set_GDate, set_GDuration, set_hex, set_int, set_list, set_long, set_newValue, set_notation, set_QName, set_short, set_xmlanysimple, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, setBigDecimalValue, setBigIntegerValue, setBooleanValue, setByteArrayValue, setByteValue, setCalendarValue, setDateValue, setDoubleValue, setEnumValue, setFloatValue, setGDateValue, setGDateValue, setGDurationValue, setGDurationValue, setImmutable, setIntValue, setListValue, setLongValue, setNil, setObjectValue, setQNameValue, setShortValue, setStringValue, setValidateOnSet, shortValue, stringValue, substitute, toString, uses_invalidate_value, validate_now, validate_simpleval, validate, validate, valueEquals, valueHashCode, writeReplace, xgetListValue, xlistValue, xmlText, xmlText`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Constructor Detail

    - #### TScheduleImpl

          public TScheduleImpl(org.apache.xmlbeans.SchemaType sType)

  - ### Method Detail

    - #### getCleanupList

          public java.util.List<TCleanup> getCleanupList()

      Gets a List of "cleanup" elements
      Specified by:
        `getCleanupList` in interface `TSchedule`

    - #### getCleanupArray

          @Deprecated
          public TCleanup[] getCleanupArray()

      Deprecated.
      Gets array of all "cleanup" elements
      Specified by:
        `getCleanupArray` in interface `TSchedule`

    - #### getCleanupArray

          public TCleanup getCleanupArray(int i)

      Gets ith "cleanup" element
      Specified by:
        `getCleanupArray` in interface `TSchedule`

    - #### sizeOfCleanupArray

          public int sizeOfCleanupArray()

      Returns number of "cleanup" element
      Specified by:
        `sizeOfCleanupArray` in interface `TSchedule`

    - #### setCleanupArray

          public void setCleanupArray(TCleanup[] cleanupArray)

      Sets array of all "cleanup" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setCleanupArray` in interface `TSchedule`

    - #### setCleanupArray

          public void setCleanupArray(int i,
                             TCleanup cleanup)

      Sets ith "cleanup" element
      Specified by:
        `setCleanupArray` in interface `TSchedule`

    - #### insertNewCleanup

          public TCleanup insertNewCleanup(int i)

      Inserts and returns a new empty value (as xml) as the ith "cleanup" element
      Specified by:
        `insertNewCleanup` in interface `TSchedule`

    - #### addNewCleanup

          public TCleanup addNewCleanup()

      Appends and returns a new empty value (as xml) as the last "cleanup" element
      Specified by:
        `addNewCleanup` in interface `TSchedule`

    - #### removeCleanup

          public void removeCleanup(int i)

      Removes the ith "cleanup" element
      Specified by:
        `removeCleanup` in interface `TSchedule`

    - #### getWhen

          public java.lang.String getWhen()

      Gets the "when" attribute
      Specified by:
        `getWhen` in interface `TSchedule`

    - #### xgetWhen

          public org.apache.xmlbeans.XmlString xgetWhen()

      Gets (as xml) the "when" attribute
      Specified by:
        `xgetWhen` in interface `TSchedule`

    - #### setWhen

          public void setWhen(java.lang.String when)

      Sets the "when" attribute
      Specified by:
        `setWhen` in interface `TSchedule`

    - #### xsetWhen

          public void xsetWhen(org.apache.xmlbeans.XmlString when)

      Sets (as xml) the "when" attribute
      Specified by:
        `xsetWhen` in interface `TSchedule`